Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Delete Work Order Shipment DELETEUpdate Work Order Shipment PUTList Work Order Shipments GETCreate Work Order Shipment POST

Resources

LogisticsShipments

List Work Order Shipments


List shipments related to the work order, including direction, carrier and status.

GET
/api/rest/v2/workorders/{work_order_id}/shipments

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

acting_user_id?integer

ID of the user acting on behalf of another user

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/shipments"
{
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20
  },
  "results": [],
  "correlation_id": "string_value",
  "actions": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Update Work Order Shipment PUT

Previous Page

Create Work Order Shipment POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/shipments"